//*****************************************************************************
// Copyright 2017-2019 Intel Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//*****************************************************************************

#include <pybind11/pybind11.h>

#include "ngraph/coordinate_diff.hpp"
#include "ngraph/op/pad.hpp"
#include "pyngraph/ops/pad.hpp"

namespace py = pybind11;

void regclass_pyngraph_op_Pad(py::module m)
{
    py::class_<ngraph::op::Pad, std::shared_ptr<ngraph::op::Pad>, ngraph::op::Op> pad(m, "Pad");
    pad.doc() = "ngraph.impl.op.Pad wraps ngraph::op::Pad";
    pad.def(py::init<const std::shared_ptr<ngraph::Node>&,
                     const std::shared_ptr<ngraph::Node>&,
                     const ngraph::CoordinateDiff&,
                     const ngraph::CoordinateDiff&,
                     ngraph::op::PadMode>());
}
