//*****************************************************************************
// Copyright 2017-2019 Intel Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//*****************************************************************************

#include "gtest/gtest.h"
#include "ngraph/ngraph.hpp"
#include "util/type_prop.hpp"

using namespace std;
using namespace ngraph;

TEST(type_prop, leaky_relu)
{
    auto data = make_shared<op::Parameter>(element::f32, Shape{3, 6});
    auto alpha = make_shared<op::Parameter>(element::f32, Shape{});
    auto leaky_relu_func = make_shared<op::LeakyRelu>(data, alpha);
    EXPECT_EQ(leaky_relu_func->get_element_type(), element::f32);
    EXPECT_EQ(leaky_relu_func->get_shape(), (Shape{3, 6}));
}
